cascading.flow.hadoop

## Class FailOnMissingSuccessFlowListener

- java.lang.Object
- - cascading.flow.hadoop.FailOnMissingSuccessFlowListener

All Implemented Interfaces:
  FlowListener

    public class FailOnMissingSuccessFlowListener
    extends java.lang.Object
    implements FlowListener

Class FailOnMissingSuccessFlowListener is a `FlowListener` that tests that all sources to a `Flow` have a `_SUCCESS` file before allowing the Flow to execute.

If any source Tap is a directory, existence of `_SUCCESS` is made, if the source is a file, the existence test is skipped.

This listener will unwind any `PartitionTap` or `MultiSourceTap` instances looking for `Hfs` instances to verify. If any Tap is found that is not a PartitionTap, MultiSourceTap, or Hfs type, an error will be thrown.

### Constructor Summary

Constructors
Constructor and Description
`FailOnMissingSuccessFlowListener()`

### Method Summary

Methods
`void` `accumulate(java.util.Set<cascading.tap.hadoop.Hfs> taps, Tap value)`
`void` `iterate(java.util.Set<cascading.tap.hadoop.Hfs> taps, MultiSourceTap value)`
`void` `onCompleted(Flow flow)`
`void` `onStarting(Flow flow)`
`void` `onStopping(Flow flow)`
`boolean` `onThrowable(Flow flow, java.lang.Throwable throwable)`
`boolean` `testExists(Flow flow, cascading.tap.hadoop.Hfs tap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailOnMissingSuccessFlowListener

    public FailOnMissingSuccessFlowListener()

### Method Detail

#### onStarting

    public void onStarting(Flow flow)

Specified by:
  `onStarting` in interface `FlowListener`

#### testExists

    public boolean testExists(Flow flow,
                     cascading.tap.hadoop.Hfs tap)

#### accumulate

    public void accumulate(java.util.Set<cascading.tap.hadoop.Hfs> taps,
                  Tap value)

#### iterate

    public void iterate(java.util.Set<cascading.tap.hadoop.Hfs> taps,
               MultiSourceTap value)

#### onStopping

    public void onStopping(Flow flow)

Specified by:
  `onStopping` in interface `FlowListener`

#### onCompleted

    public void onCompleted(Flow flow)

Specified by:
  `onCompleted` in interface `FlowListener`

#### onThrowable

    public boolean onThrowable(Flow flow,
                      java.lang.Throwable throwable)

Specified by:
  `onThrowable` in interface `FlowListener`